<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__eeprom__context__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_eeprom_context_t</compoundname>
    <includes local="no">cy_em_eeprom.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__eeprom__context__t_1a44b3f562448cbc33536f520c7eeb6976" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_eeprom_context_t::numberOfRows</definition>
        <argsstring />
        <name>numberOfRows</name>
        <briefdescription>
<para>The number of flash rows allocated for the Em_EEPROM excluding the number of rows allocated for wear-leveling and a redundant copy overhead. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-emeeprom/cy_em_eeprom.h" bodystart="886" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-emeeprom/cy_em_eeprom.h" line="886" />
      </memberdef>
      <memberdef id="structcy__stc__eeprom__context__t_1a1136c1032e20149af06f0763849211d9" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_eeprom_context_t::eepromSize</definition>
        <argsstring />
        <name>eepromSize</name>
        <briefdescription>
<para>The number of bytes to store in Em_EEPROM. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-emeeprom/cy_em_eeprom.h" bodystart="889" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-emeeprom/cy_em_eeprom.h" line="889" />
      </memberdef>
      <memberdef id="structcy__stc__eeprom__context__t_1a0c81c6ec6896b078744a0ae06e9925d0" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_eeprom_context_t::wearLevelingFactor</definition>
        <argsstring />
        <name>wearLevelingFactor</name>
        <briefdescription>
<para>The amount of wear leveling from 1 to 10. </para>        </briefdescription>
        <detaileddescription>
<para>1 means no wear leveling is used. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-emeeprom/cy_em_eeprom.h" bodystart="892" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-emeeprom/cy_em_eeprom.h" line="892" />
      </memberdef>
      <memberdef id="structcy__stc__eeprom__context__t_1aa3890fbd2cd8b72c6027b3ec6b569aa6" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_eeprom_context_t::userFlashStartAddr</definition>
        <argsstring />
        <name>userFlashStartAddr</name>
        <briefdescription>
<para>The start address for the Em_EEPROM memory in flash. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-emeeprom/cy_em_eeprom.h" bodystart="895" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-emeeprom/cy_em_eeprom.h" line="895" />
      </memberdef>
      <memberdef id="structcy__stc__eeprom__context__t_1a07b2a035a1c31b8f4ea6c084e92e0bde" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_eeprom_context_t::byteInRow</definition>
        <argsstring />
        <name>byteInRow</name>
        <briefdescription>
<para>The number of user's data bytes in one row. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-emeeprom/cy_em_eeprom.h" bodystart="898" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-emeeprom/cy_em_eeprom.h" line="898" />
      </memberdef>
      <memberdef id="structcy__stc__eeprom__context__t_1a00649073998b271aa173eab5345878e4" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_eeprom_context_t::simpleMode</definition>
        <argsstring />
        <name>simpleMode</name>
        <briefdescription>
<para>No headers configured. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-emeeprom/cy_em_eeprom.h" bodystart="901" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-emeeprom/cy_em_eeprom.h" line="901" />
      </memberdef>
      <memberdef id="structcy__stc__eeprom__context__t_1a29be33dbb9a3ea5e901c1b912b34f443" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t *</type>
        <definition>uint32_t* cy_stc_eeprom_context_t::ptrLastWrittenRow</definition>
        <argsstring />
        <name>ptrLastWrittenRow</name>
        <briefdescription>
<para>The pointer to the last written row. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-emeeprom/cy_em_eeprom.h" bodystart="904" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-emeeprom/cy_em_eeprom.h" line="904" />
      </memberdef>
      <memberdef id="structcy__stc__eeprom__context__t_1a9930dd5410628e79f68927cd30bca6d3" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_eeprom_context_t::redundantCopy</definition>
        <argsstring />
        <name>redundantCopy</name>
        <briefdescription>
<para>If not zero, a redundant copy of the Em_EEPROM is included. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-emeeprom/cy_em_eeprom.h" bodystart="907" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-emeeprom/cy_em_eeprom.h" line="907" />
      </memberdef>
      <memberdef id="structcy__stc__eeprom__context__t_1a662b2e5e86183706701aa79280dca36d" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_eeprom_context_t::blockingWrite</definition>
        <argsstring />
        <name>blockingWrite</name>
        <briefdescription>
<para>If not zero, a blocking write to flash is used. </para>        </briefdescription>
        <detaileddescription>
<para>Otherwise, a non-blocking write is used. This parameter is used only for PSoC 6. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-emeeprom/cy_em_eeprom.h" bodystart="912" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-emeeprom/cy_em_eeprom.h" line="912" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>The Em_EEPROM context data structure. </para>    </briefdescription>
    <detaileddescription>
<para>It is used to store specific Em_EEPROM context data. Do not modify the context structure since it may cause unexpected behavior of the Cy_Em_EEPROM functions that rely on this context structure. </para>    </detaileddescription>
    <location bodyend="914" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-emeeprom/cy_em_eeprom.h" bodystart="881" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-emeeprom/cy_em_eeprom.h" line="882" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__eeprom__context__t_1a662b2e5e86183706701aa79280dca36d" virt="non-virtual"><scope>cy_stc_eeprom_context_t</scope><name>blockingWrite</name></member>
      <member prot="public" refid="structcy__stc__eeprom__context__t_1a07b2a035a1c31b8f4ea6c084e92e0bde" virt="non-virtual"><scope>cy_stc_eeprom_context_t</scope><name>byteInRow</name></member>
      <member prot="public" refid="structcy__stc__eeprom__context__t_1a1136c1032e20149af06f0763849211d9" virt="non-virtual"><scope>cy_stc_eeprom_context_t</scope><name>eepromSize</name></member>
      <member prot="public" refid="structcy__stc__eeprom__context__t_1a44b3f562448cbc33536f520c7eeb6976" virt="non-virtual"><scope>cy_stc_eeprom_context_t</scope><name>numberOfRows</name></member>
      <member prot="public" refid="structcy__stc__eeprom__context__t_1a29be33dbb9a3ea5e901c1b912b34f443" virt="non-virtual"><scope>cy_stc_eeprom_context_t</scope><name>ptrLastWrittenRow</name></member>
      <member prot="public" refid="structcy__stc__eeprom__context__t_1a9930dd5410628e79f68927cd30bca6d3" virt="non-virtual"><scope>cy_stc_eeprom_context_t</scope><name>redundantCopy</name></member>
      <member prot="public" refid="structcy__stc__eeprom__context__t_1a00649073998b271aa173eab5345878e4" virt="non-virtual"><scope>cy_stc_eeprom_context_t</scope><name>simpleMode</name></member>
      <member prot="public" refid="structcy__stc__eeprom__context__t_1aa3890fbd2cd8b72c6027b3ec6b569aa6" virt="non-virtual"><scope>cy_stc_eeprom_context_t</scope><name>userFlashStartAddr</name></member>
      <member prot="public" refid="structcy__stc__eeprom__context__t_1a0c81c6ec6896b078744a0ae06e9925d0" virt="non-virtual"><scope>cy_stc_eeprom_context_t</scope><name>wearLevelingFactor</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>